#ifndef FILE_EXTRACTOR_H
#define FILE_EXTRACTOR_H

#include "file_operations.h"
#include "utilities.h"

extern char* logFileName;

void PAZExtract(int menuselectedOption, char* filter, char* extractDir);
char* getPAZName(char* fileName);
void extractFiles(int menuselectedOption, char* filter, char* extractDir);
int calculateProgress(int currentPazNun, int pazCount); // Does a simple 3-way rule to calculate the program completeness percentage
int logFileIsEmpty();
#endif // FILE_EXTRACTOR_H
